regina::detail::XMLTriangulationReaderBase< dim > Class Template Reference
Implementation details

Helper class that provides core functionality for the XML packet reader that reads a single dim-dimensional triangulation. More...

`#include <triangulation/detail/xmltrireader.h>`

Inheritance diagram for regina::detail::XMLTriangulationReaderBase< dim >:

## Classes

class | AbelianGroupPropertyReader
| Internal class that reads an abelian group property. More...
class | GroupPresentationPropertyReader
| Internal class that reads a group presentation property. More...

## Public Member Functions

| XMLTriangulationReaderBase (XMLTreeResolver &resolver)
| Creates a new triangulation reader. More...
virtual Packet * | packet () override
| Returns the newly allocated packet that has been read by this element reader. More...
virtual XMLElementReader * | startContentSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps) override
| Used instead of startSubElement() for XML subelements that are not child packets or packet tags. More...
virtual void | endContentSubElement (const std::string &subTagName, XMLElementReader *subReader) override
| Used instead of endSubElement() for XML subelements that are not child packets or packet tags. More...
virtual XMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, XMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | abort (XMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, XMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...

## Protected Member Functions

XMLElementReader * | propertyReader (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Returns a reader for the generic triangulation property with the given subtag name. More...

## Protected Attributes

Triangulation< dim > * | tri_
| The triangulation currently being read. More...
XMLTreeResolver & | resolver_
| The master resolver that will be used to fix dangling packet references after the entire XML file has been read. More...

## Detailed Description

### template<int dim>
class regina::detail::XMLTriangulationReaderBase< dim >

Helper class that provides core functionality for the XML packet reader that reads a single dim-dimensional triangulation.

The XML packet reader itself is provided by the class XMLTriangulationReader<dim>, which uses this as a base class. There should be no need for other classes to refer to XMLTriangulationReaderBase directly.

Python:\n Not present.

Template Parameters

  dim | The dimension of the triangulation being read.

The documentation for this class was generated from the following files:

- triangulation/detail/triangulation.h
- triangulation/detail/xmltrireader.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).